ubiquity fails with "invaild username" before ever asking me to enter a username

Bug #524993 reported by Andrew Starr-Bochicchio on 2010-02-20
46
This bug affects 9 people
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
High
Colin Watson

Bug Description

Binary package hint: ubiquity

Trying a fresh install from the most recent lucid daily image is impossible using the advanced partitioner. After selecting the partition that I'd like to install to at "Step 6 of 9" and selecting "Forward" I receive the following error in a pop-up that takes focus:

"Invalid username

The username you entered is invalid. Note that usernames
must start with a lower-case letter, which can be followed
by any combination of numbers and more lower-case letters."

Of course at this point the installer hasn't yet asked me to enter a username. There is no way to continue the install, and I have to manually kill ubiquity as there is no way to get rid of the pop-up.

ProblemType: Bug
Architecture: i386
Date: Sat Feb 20 13:40:47 2010
DistroRelease: Ubuntu 10.04
LiveMediaBuild: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100220)
Package: ubiquity 2.1.22
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-13.18-generic
SourcePackage: ubiquity
Uname: Linux 2.6.32-13-generic i686

summary: - ubiquity fails with "invaild username" before ever asking my to enter a
+ ubiquity fails with "invaild username" before ever asking me to enter a
username

Running ubiquity with the "--no-migration-assistant" flag resolves the problem. So presumably the migration-assistant code is pulling a username from some where... This machine has both a Windows Vista install and another Ubuntu install. Let me know if there's any further information that would be useful.

Nick Booker (nmbooker) wrote :

Following on from Andrew's comments about Windows Vista, my system does not have any Windows installs, but does have numerous Linux distributions, FreeBSD and OpenSolaris partitions.

I can also confirm that using --no-migration-assistant allows me to progress through the installer as normal.

Colin Watson (cjwatson) on 2010-02-22
Changed in ubiquity (Ubuntu):
importance: Undecided → High
assignee: nobody → Colin Watson (cjwatson)
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.1.24

---------------
ubiquity (2.1.24) lucid; urgency=low

  [ Cody Russell ]
  * ubiquity-greeter-gtk: Add language selection facility.

  [ Colin Watson ]
  * Hook up ubiquity-greeter-gtk's language selection in ubiquity-dm to
    rewrite /etc/default/locale, /etc/environment, and /etc/locale.gen
    before continuing.
  * Remove unnecessary SVG-specific code from ubiquity-greeter-gtk.
  * Use /usr/share/images/xsplash/bg_2560x1600.jpg as ubiquity-greeter-gtk's
    background image for now; it's slightly more visually appealing than the
    test image!
  * Make sure to run migration-assistant after user-setup, since it uses
    passwd/username (LP: #524993).

  [ Jonathan Riddell ]
  * optimizegraphics: Losslessly optimized PNG and SVGZ files with
    "optipng -o5" and "advdef -z -4". Reduced disk space: 160KB (0MB)
 -- Colin Watson <email address hidden> Mon, 22 Feb 2010 21:39:58 +0000

Changed in ubiquity (Ubuntu):
status: Fix Committed → Fix Released
vmc (vmclark) wrote :

The fix "ubiquity - 2.1.24", fixed the "invalid login", now we have another "migration-assistant" error.

As the screenshot shows I have added "/var/log/syslog" for ubiquity errors:

...
Feb 23 17:42:34 ubuntu ubiquity[3071]: debconffilter_done: ubiquity.components.install (current: None)
Feb 23 17:42:37 ubuntu ubiquity[3071]: debconffilter_done: ubi-migrationassistant (current: ubi-migrationassistant)
Feb 23 17:42:37 ubuntu ubiquity[3071]: dbfilter_handle_status: ('ubi-migrationassistant', 141)
Feb 23 17:47:38 ubuntu ubiquity[3071]: dbfilter_handle_status: response 1
Feb 23 17:47:38 ubuntu ubiquity[3071]: Step_before = stepReady
Feb 23 17:47:41 ubuntu ubiquity: debconf: DbDriver "passwords" warning: could not open /var/cache/debconf/passwords.dat: Permission denied
Feb 23 17:47:42 ubuntu ubiquity: debconf: DbDriver "targetdb": could not write /target/var/cache/debconf/config.dat-new: Permission denied
Feb 23 17:47:42 ubuntu ubiquity[3071]: log-output -t ubiquity debconf-copydb configdb targetdb -p ^console-setup/ --config=Name:targetdb --config=Driver:File --config=Filename:/target/var/cache/debconf/config.dat
Feb 23 17:47:43 ubuntu ubiquity[3071]: log-output -t ubiquity umount /target

vmc (vmclark) wrote :

Should I open another bug report, or is this related?

vmc: I think that warrants another bug report, but please check for
duplicates first.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers